﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics45.Web.v19.1, Version=19.1.20191.177, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics45.Web.v19.1, Version=19.1.20191.177, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        .wdg {
            margin: 20px;
        }
    </style>
    <script>
        function setValue(event) {
            var grid = $find("grid");
            var index = grid.get_behaviors().get_selection().get_selectedCells().getItem(0).get_row().get_index();
            grid.get_rows().get_row(index).get_cellByColumnKey("Checked").set_value(event.checked.toString())
            grid.get_behaviors().get_editingCore().commit();
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <ig:WebScriptManager ID="WebScriptManager1" runat="server">
        </ig:WebScriptManager>
        <div class="wdg">

            <ig:WebDataGrid ID="grid" runat="server" Height="300px" Width="400px" AutoGenerateColumns="False"
                OnInitializeRow="grid_InitializeRow" DataKeyFields="id" OnRowUpdating="grid_RowUpdating">
                <Columns>
                    <ig:BoundDataField DataFieldName="id" Key="id" Hidden="true" />
                    <ig:BoundDataField DataFieldName="Checked" Key="Checked" Hidden="true" />
                    <ig:TemplateDataField Key="CheckedTemplate">
                        <Header Text="Checked or not">
                        </Header>
                        <ItemTemplate>
                            <asp:CheckBox ID="CheckBox" runat="server"></asp:CheckBox>
                            <asp:Label ID="label" runat="server" Text='<%#Eval("Text")%>'></asp:Label>
                        </ItemTemplate>
                    </ig:TemplateDataField>
                    <ig:BoundDataField DataFieldName="Number" Key="Number">
                        <Header Text="Number">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Text" Key="Text" Hidden="true" />
                </Columns>
                <Behaviors>
                    <ig:EditingCore BatchUpdating="true" AutoCRUD="true">
                        <Behaviors>
                            <ig:CellEditing>
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Selection>
                    </ig:Selection>
                </Behaviors>
            </ig:WebDataGrid>
            <br />
            <asp:Button runat="server" Text="Save" Width="80px" Height="30px" />
        </div>
    </form>
</body>
</html>